singleton.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Set::LubRanges< SingletonView >
| Range iterator for least upper bound of singleton set view More...
class | Gecode::Set::GlbRanges< SingletonView >
| Range iterator for greatest lower bound of singleton set view More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Set
| Finite integer sets.